---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libIsSyntheticIssynth001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4CB10, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4EA50, symBinAddr: 0xE108, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4EE38, symBinAddr: 0xE4F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4FDD8, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4FDE0, symBinAddr: 0xF498, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C790, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C794, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C798, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C8E8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4C9A0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4C9A4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4C9A8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4C9AC, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4C9B0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4C9B8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4C9D0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4C9D8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4C9E0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4C9E8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4C9F0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4CA38, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4CA40, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90C7, offset: 0x90C7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4CA50, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x46C4, symSize: 0xA0 }
  - { offsetInCU: 0x91AE, offset: 0x91AE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x469C, symSize: 0x28 }
  - { offsetInCU: 0x9211, offset: 0x9211, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x461C, symSize: 0x80 }
  - { offsetInCU: 0x94A5, offset: 0x94A5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x4764, symSize: 0x20C }
  - { offsetInCU: 0x965E, offset: 0x965E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x4970, symSize: 0x28 }
  - { offsetInCU: 0x9727, offset: 0x9727, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x4998, symSize: 0xB0 }
  - { offsetInCU: 0x981E, offset: 0x981E, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x4A48, symSize: 0xD8 }
  - { offsetInCU: 0x9943, offset: 0x9943, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4B20, symSize: 0x24 }
  - { offsetInCU: 0x99CE, offset: 0x99CE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x4B44, symSize: 0x168 }
  - { offsetInCU: 0x9BAA, offset: 0x9BAA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x4CAC, symSize: 0x104 }
  - { offsetInCU: 0x9D27, offset: 0x9D27, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4DB0, symSize: 0x154 }
  - { offsetInCU: 0x9F0B, offset: 0x9F0B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4F04, symSize: 0xAC }
  - { offsetInCU: 0x9FE0, offset: 0x9FE0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4FB0, symSize: 0x14 }
  - { offsetInCU: 0xA019, offset: 0xA019, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4FC4, symSize: 0x14 }
  - { offsetInCU: 0xA052, offset: 0xA052, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4FD8, symSize: 0x14 }
  - { offsetInCU: 0xA213, offset: 0xA213, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4FEC, symSize: 0x1A8 }
  - { offsetInCU: 0xA527, offset: 0xA527, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x5194, symSize: 0x9C }
  - { offsetInCU: 0xA5E4, offset: 0xA5E4, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x5230, symSize: 0x690 }
  - { offsetInCU: 0xB176, offset: 0xB176, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9360, symBinAddr: 0x6640, symSize: 0x30 }
  - { offsetInCU: 0xB202, offset: 0xB202, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x58C0, symSize: 0x74 }
  - { offsetInCU: 0xB2EA, offset: 0xB2EA, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5934, symSize: 0xB0 }
  - { offsetInCU: 0xB3E9, offset: 0xB3E9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x59E4, symSize: 0x3C }
  - { offsetInCU: 0xB4DF, offset: 0xB4DF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5A20, symSize: 0x29C }
  - { offsetInCU: 0xB822, offset: 0xB822, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5CBC, symSize: 0xD0 }
  - { offsetInCU: 0xB950, offset: 0xB950, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5D8C, symSize: 0xC }
  - { offsetInCU: 0xBA12, offset: 0xBA12, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5D98, symSize: 0x22C }
  - { offsetInCU: 0xBCCD, offset: 0xBCCD, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5FC4, symSize: 0x4 }
  - { offsetInCU: 0xBD11, offset: 0xBD11, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5FC4, symSize: 0x4 }
  - { offsetInCU: 0xBD23, offset: 0xBD23, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5FC8, symSize: 0x124 }
  - { offsetInCU: 0xBEA1, offset: 0xBEA1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DF0, symBinAddr: 0x60EC, symSize: 0x4 }
  - { offsetInCU: 0xBEE5, offset: 0xBEE5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DF0, symBinAddr: 0x60EC, symSize: 0x4 }
  - { offsetInCU: 0xBF87, offset: 0xBF87, size: 0x8, addend: 0x0, symName: _checkClassMethods, symObjAddr: 0x8E10, symBinAddr: 0x60F0, symSize: 0x1FC }
  - { offsetInCU: 0xC2A3, offset: 0xC2A3, size: 0x8, addend: 0x0, symName: _checkClassFields, symObjAddr: 0x900C, symBinAddr: 0x62EC, symSize: 0x218 }
  - { offsetInCU: 0xC4ED, offset: 0xC4ED, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_IsSynthetic_issynth001_check, symObjAddr: 0x9224, symBinAddr: 0x6504, symSize: 0x130 }
  - { offsetInCU: 0xC640, offset: 0xC640, size: 0x8, addend: 0x0, symName: _Java_issynth001_getRes, symObjAddr: 0x9354, symBinAddr: 0x6634, symSize: 0xC }
  - { offsetInCU: 0xC67A, offset: 0xC67A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9390, symBinAddr: 0x6670, symSize: 0x358 }
...
